import { http } from "@/utils/http";
import { baseUrlApi } from "./utils";

type Result = {
  count: number;
  results?: Array<any>;
};
type Data = {
  success: boolean;
  msg: any;
  results?: Array<any>;
};

export const getHomeList = (params?: object) => {
  return http.request<Result>("get", baseUrlApi("tps"), { params });
};
export const getEvents = (params?: object) => {
  return http.request<Data>("get", baseUrlApi("tps/events"), { params });
};
export const updateHomeList = (params?: object) => {
  return http.request<Data>("put", baseUrlApi(""), { params });
};
